AbstractConfigurationReportTask (Gradle API 8.11.1)

Package org.gradle.api.tasks.diagnostics

## Class AbstractConfigurationReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.tasks.diagnostics.AbstractConfigurationReportTask

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<ConfigurationReports>`, `Task`, `Configurable<Task>`
  Direct Known Subclasses:
    `OutgoingVariantsReportTask`, `ResolvableConfigurationsReportTask`

      @Incubating
      @DisableCachingByDefault(because="Produces only non-cacheable console output")
      public abstract class AbstractConfigurationReportTask
      extends DefaultTask
      implements Reporting<ConfigurationReports>

  Base class for reporting tasks which display information about attributes and related data associated to a variant/configuration. This class implements `Reporting` to make configuring additional file output formats simple.
  Since:
    7.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractConfigurationReportTask()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec` | `buildReportSpec()` |
    `protected abstract org.gradle.api.internal.file.FileResolver` | `getFileResolver()` |
    `protected abstract ObjectFactory` | `getObjectFactory()` |
    `ConfigurationReports` | `getReports()` | The reports to be generated by this task.
    `protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory` | `getTextOutputFactory()` |
    `void` | `report()` |
    `ConfigurationReports` | `reports​(Closure closure)` | Configures the reports to be generated by this task.
    `ConfigurationReports` | `reports​(Action<? super ConfigurationReports> configureAction)` | Configures the reports to be generated by this task.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### AbstractConfigurationReportTask

          public AbstractConfigurationReportTask()

  - ### Method Detail

    - #### getObjectFactory

          @Inject
          protected abstract ObjectFactory getObjectFactory()

    - #### getTextOutputFactory

          @Inject
          protected abstract org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

    - #### getFileResolver

          @Inject
          protected abstract org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### buildReportSpec

          protected abstract org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec buildReportSpec()

    - #### getReports

          public final ConfigurationReports getReports()

      The reports to be generated by this task.
      Specified by:
        `getReports` in interface `Reporting<ConfigurationReports>`
      Returns:
        The report container

    - #### reports

          public ConfigurationReports reports​(@DelegatesTo(value=ConfigurationReports.class,strategy=1)
                                              Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by task name and closures.
      Specified by:
        `reports` in interface `Reporting<ConfigurationReports>`
      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### reports

          public ConfigurationReports reports​(Action<? super ConfigurationReports> configureAction)

      Configures the reports to be generated by this task. The contained reports can be configured by task name and closures.
      Specified by:
        `reports` in interface `Reporting<ConfigurationReports>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The reports container

    - #### report

          public final void report()